Last Comment Bug 623403 - svg reftests gradient-live-01*.svg are perma-orange on WinXP
: svg reftests gradient-live-01*.svg are perma-orange on WinXP
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: SVG (show other bugs)
: Trunk
: x86 Windows XP
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: Jet Villegas (:jet)
Mentors:
Depends on: 475968 623450
Blocks: 653481
  Show dependency treegraph
 
Reported: 2011-01-05 16:49 PST by Daniel Holbert [:dholbert]
Modified: 2012-11-05 03:28 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
reftest log (104.84 KB, text/plain)
2011-01-05 16:52 PST, Daniel Holbert [:dholbert]
no flags Details

Description Daniel Holbert [:dholbert] 2011-01-05 16:49:23 PST
It seems we're looking into enabling unit tests on WinXP, and the reftests:
	gradient-live-01a.svg
	gradient-live-01b.svg
	gradient-live-01c.svg
	gradient-live-01d.svg
are among the few perma-orange reftests that are blocking the un-hiding of the winXP box(es).

http://tbpl.mozilla.org/?noignore=1
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294265343.1294266592.424.gz#err14
Rev3 WINNT 5.1 mozilla-central opt test reftest on 2011/01/05 14:09:03
s: talos-r3-xp-038

The failures in these 4 reftests all look essentially the same, so I'm filing just one bug rather than one per test.
Comment 1 Daniel Holbert [:dholbert] 2011-01-05 16:52:05 PST
Created attachment 501519 [details]
reftest log

here's the relevant log-chunks, for inspection w/ reftest-analyzer.

The tests & reference appear to basically match, except for a thin strip at each color-change boundary.
Comment 2 Robert Longson 2011-01-06 09:34:26 PST
FWIW. These all fail for me in exactly this way on Vista too, not only that but they work if I turn hardware acceleration off.
Comment 3 Phil Ringnalda (:philor) 2011-01-12 13:31:11 PST
Annotated as failing in http://hg.mozilla.org/mozilla-central/rev/2147912ec8e1, so we're no longer blocking releng.
Comment 4 Phil Ringnalda (:philor) 2011-10-23 12:30:26 PDT
Based on when my annotations silently disappeared, fixed by bug 475968.
Comment 5 Ed Morley [:emorley] 2012-11-05 03:28:58 PST
Cleaning up/fixing whiteboards containing 'orange' but not '[orange]' in advance of bug 791758.

Note You need to log in before you can comment on or make changes to this bug.